summaryrefslogtreecommitdiffstats
path: root/source/x/ibus/ibus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/ibus/ibus.SlackBuild')
-rwxr-xr-xsource/x/ibus/ibus.SlackBuild35
1 files changed, 27 insertions, 8 deletions
diff --git a/source/x/ibus/ibus.SlackBuild b/source/x/ibus/ibus.SlackBuild
index 77457f354..f63aa805b 100755
--- a/source/x/ibus/ibus.SlackBuild
+++ b/source/x/ibus/ibus.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/bash
-# Slackware build script for ibus
-
# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2020, 2022, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ibus
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -103,6 +101,13 @@ fi
# fix libdir
sed -i "s|/lib/python|/lib$LIBDIRSUFFIX/python|g" ./configure
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -112,12 +117,29 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-python-library \
--with-python=python3 \
+ --disable-python2 \
--with-unicode-emoji-dir=$TMP/ibus-$VERSION \
--with-ucd-dir=$TMP/ibus-$VERSION \
+ --disable-systemd-services \
+ --enable-gtk-doc \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# cleanup temporary files:
+rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python*/site-packages/gi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cu
+t -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
mkdir -p $PKG/etc/xdg/autostart
install -m 644 $CWD/ibus-autostart.desktop $PKG/etc/xdg/autostart/
@@ -125,9 +147,6 @@ install -m 644 $CWD/ibus-autostart-plasma.desktop $PKG/etc/xdg/autostart/
install -m 755 $CWD/ibus-autostart $PKG/usr/bin/
sed -i "s|LIBDIRSUFFIX|$LIBDIRSUFFIX|" $PKG/usr/bin/ibus-autostart
-# cleanup temporary files
-rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python2.7/site-packages/gi
-
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la